Bug 468093 - splitting out gd subpackage buys us nothing (but makes stuff not work)
splitting out gd subpackage buys us nothing (but makes stuff not work)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: graphviz (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrick Laughton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-22 14:51 EDT by Matthew Miller
Modified: 2009-12-18 01:37 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:37:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Miller 2008-10-22 14:51:48 EDT
As noted in bug #387661, graphviz needs graphviz-gd in order to produce output in many modern graphics formats. However:

1) graphviz-gd is 39k on disk.
2) a comparison using repoquery against rawhide reveals that the graphviz-gd package has *no* dependencies that the base graphviz package doesn't already have.

So, for the price of not having png and friends, we get.... added complexity.

On quick inspection, it looks like this is because the /usr/bin/diffimg command is linked against libgd. So, one solution would be to move that to the graphviz-gd package. That seems likely to add more confusion rather than reduce it.

gd is 150k on disk and doesn't pull in very much on its own. My suggestion is to put gd back into the main package.
Comment 1 Matthew Miller 2008-10-24 20:15:50 EDT
I see that current graphviz has a built-in cairo subsystem which should render graphviz-gd moot. But this bug basically still stands.... is /usr/bin/diffimg the only thing linked against gd? Can it be changed to use cairo?
Comment 2 Bug Zapper 2008-11-25 23:08:04 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-11-18 03:37:33 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 01:37:51 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.